# Generated by Django 3.2.18 on 2023-05-04 07:06

from django.db import migrations


def check_no_existing_labels(apps, schema_editor):
    Label = apps.get_model("core", "Label")
    if Label.objects.exists():
        raise RuntimeError(
            "There are remaining labels. Please revert to pulpcore<3.25 and make sure all labels are properly mirgated or deleted."
        )


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0103_alter_export_task'),
    ]

    operations = [
        migrations.RunPython(
            code=check_no_existing_labels,
            reverse_code=migrations.RunPython.noop,
            elidable=True,
        ),
        migrations.DeleteModel(
            name='Label',
        ),
    ]
